<template>
	<v-footer class="justify-space-between mt-14 pa-0">
		<span> Showing {{ itemsPerPage }} out of {{ allUsersPage }} </span>

		<v-pagination
			:start="1"
			:total-visible="2"
			:ellipsis="'...'"
			size="32"
			v-model="currentPage"
			@click="setCurrentPage"
			:length="allPageOfTheTable"
		></v-pagination>
	</v-footer>
</template>

<script>
export default {
	name: 'Pagination',

	props: {
		allUsersPage: {
			type: Number,
			default: 0,
		},
		allPageOfTheTable: {
			type: Number,
			default: 0,
		},
		itemsPerPage: {
			type: Number,
			default: 0,
		},
	},

	data() {
		return {
			currentPage: '',
		}
	},

	methods: {
		setCurrentPage() {
			this.$emit('setCurrentPage', this.currentPage)
		},
	},
}
</script>

<style lang="scss">
.v-footer {
	span {
		color: rgba(41, 49, 72, 0.8);
		font-weight: 400;
		line-height: 22px;
		font-size: 16px;
	}

	.v-pagination {
		font-size: 15px;
		color: rgba(41, 49, 72, 0.8);
		font-weight: 400;
		line-height: 22px;

		&__item {
			border-radius: 6px;
			border: 1px solid #e4e4e4;
		}
	}
}
</style>
